<?php

namespace MotaRaido\Core;


if (!defined('MOTAFW')) 
{
    echo 'This file can only be called via the main index.php file, and not directly';
    exit();
}

use \MotaRaido\Core\Config;

class View
{

    protected $data = array();

    function render($view, $template = true) {
        ob_start();
        include_once $template ? Config::get('template')['headerWithMenu'] : Config::get('template')['header'];
        include_once $view;
        if($template) include_once Config::get('template')['footer'];
        $str = ob_get_contents();
        ob_end_clean();
        echo $str;
    }

    public function __get($name)
    {
        if (array_key_exists($name, $this->data)) {
            return $this->data[$name];
        }
    }

    function include($key, $val) {
        ob_start();
        require_once $val;
        $str = ob_get_contents();
        ob_end_clean();
        $this->data[$key] = $str;
    }

    function assign($key, $val) {
        if(!is_array($val)) $val = \htmlspecialchars($val);  
        $this->data[$key] = $val;
    }
}